declare type CoverageStat = {
    pct: number;
    total: number;
    covered: number;
    skipped: number;
};
interface AggregatedResult {
    numTotalTests: number;
    numPassedTests: number;
    numPendingTests: number;
    numFailedTests: number;
    numTotalTestSuites: number;
    numPassedTestSuites: number;
    numPendingTestSuites: number;
    numFailedTestSuites: number;
    coverageMap?: {
        getCoverageSummary: () => {
            data: {
                branches: CoverageStat;
                functions: CoverageStat;
                lines: CoverageStat;
                statements: CoverageStat;
            };
        };
    };
}
interface Config<T = number> {
    enabled: boolean;
    host: string;
    user: string;
    apiKey: string;
    projectId: T;
    suiteId: T;
    runName: string;
    runDescription: string;
    coverageCaseId: T;
    branchEnv: string;
    buildNoEnv: string;
    dateFormat: string;
    reference: string;
    runCloseAfterDays: number;
}
export default class JestTestrailReporter {
    private config;
    private branch;
    private buildNo;
    constructor(globalConfig: any, options: Config);
    onRunComplete(contexts: any, results: AggregatedResult): Promise<void>;
}
export {};
